


//========================================================

class ScriptNode extends Bd_Action {

//========================================================
    //----------------------------------------------------

    onSetupDone(){

    //----------------------------------------------------

        this.executeEvent("setup",this.onSetupEventDone,{},true);
    }
    //----------------------------------------------------

    onSetupEventDone(){

    //----------------------------------------------------
        this.setup();
        //this.make();

    }
    //----------------------------------------------------
    isLoaded(){
    //----------------------------------------------------

        return true;

    }
    //----------------------------------------------------
    onCall(data){
    //----------------------------------------------------

            this.msg("MAKE",{'node':this.children},4);
            this.onMakeFirst(data.selected);
            this.make_event=this.executeEvent("call",this.onMakeDone,data);


    }
    //----------------------------------------------------
    onMakeFirst(selected){
    //----------------------------------------------------
            this.msg("MAKE FIRST",{},4);

    }
    //----------------------------------------------------
    onMakeDone(data){
    //----------------------------------------------------
            this.msg("MAKE DONE",{});

    }
    //----------------------------------------------------
    call_part(name){
    //----------------------------------------------------

    return this.parent.call_part(name);

    }
    //----------------------------------------------------

}
//========================================================
